Bug 1122370 - Links in plain text email are not well formatted, and duplicated
Summary: Links in plain text email are not well formatted, and duplicated
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic
Version: 3.4
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Sean Flanigan
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 05:50 UTC by Damian Jansen
Modified: 2015-07-31 01:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:50:57 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-07-23 05:50:53 UTC
Description of problem:

This is what a confirm email change email looks like -
**

Dear Katniss Everdeen,

Zanata has received a request to update your email to djansen@redhat.com
If you did not request this action or are unsure about why it was done, 
please contact the Zanata System administrators as soon as possible.

Click here to confirm email change
<http://localhost:8080/zanata/account/validate_email/1fe4f8342abcb860bc22ca94df3281c2>

Alternatively, you can copy and paste the following URL into your browser:

URL will expire after 24 hours.

http://localhost:8080/zanata/account/validate_email/1fe4f8342abcb860bc22ca94df3281c2
<http://localhost:8080/zanata/account/validate_email/1fe4f8342abcb860bc22ca94df3281c2>

------------------------------------------------------------------------

This message generated by Zanata running at: http://localhost:8080/zanata
<http://localhost:8080/zanata>

**
The links have surrounding < > and are in some cases shown twice. It's not a good look.

Version-Release number of selected component (if applicable):
3.4

How reproducible:
Easy always

Steps to Reproduce:
1. Log in, go to settings
2. Change email address to a valid email, press Update
3. Check email

Actual results:
Badly formatted email

Expected results:
Nicely formatted email

Comment 1 Sean Flanigan 2014-07-28 01:45:18 UTC
The fact that we even get a plain-text version of the HTML is a bit of a bonus.  It used to be missing entirely.  

I wouldn't like to see the HTML changed just to make the text version a bit cleaner.  I expect few people will even see the text version unless they seek it out.

But it would be nice to enhance the third-party HTML renderer (Jericho HTML Parser's Renderer) so that any URL where the link text is the same as the URL would be rendered with the URL just once.

Comment 2 Zanata Migrator 2015-07-31 01:50:57 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-576


Note You need to log in before you can comment on or make changes to this bug.